Subject: [alpine-user] rpi, overlays and touchscreen

From: Daniel Bünzli <[email-masked]>
Date: Thu, 9 Jun 2016 20:55:11 +0100

Hello, 

I have been trying to use alpine linux on a raspberry pi b+ with the raspberry pi touchscreen. While the screen itself is working out of the box I can't manage to get the touchscreen to work, namely I do no get anything in /dev/input/ and the rpi-ft5406 kernel module is no loaded. The same hardware configuration does however work on raspbian. Here are a few things I tried: 

1) Directly tried to modprobe rpi_ft5406 evdev. Nothing happens and dmesg doesn't move. 
2) Tried to install the touchscreen overlay [2] on the sdcard in overlays/ and add dtoverlay=rpi-ft5406 to usercfg.txt
3) Tried to dynamically load the same overlay via the dtoverlay tool:
dtoverlay -d /media/mmcblk0p1/overlays/ rpi-ft5406
cp: can't create '/sys/kernel/config/device-tree/overlays/0_rpi-ft5406/dtbo': File exists
* Failed to apply overlay '0_rpi-ft5406'

(The mentioned filed does not exist)

In all these cases nothing happens and `dmesg | grep -i ft5406` is empty.

Any body has a hint ? 

Best, 

Daniel

[1] https://github.com/raspberrypi/firmware/blob/master/boot/overlays/rpi-ft5406.dtbo
[2] https://github.com/raspberrypi/linux/blob/rpi-4.4.y/arch/arm/boot/dts/overlays/rpi-ft5406-overlay.dts

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---